> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/sku_lists/create.md).

# Create a SKU list

How to create a SKU list via API

To [create](https://docs.commercelayer.io/core/creating-resources) a new SKU list, send a `POST` request to the `/api/sku_lists` endpoint, passing the resource arguments in the request body.

## Request

**POST** <https://yourdomain.commercelayer.io/api/sku\\_lists>

### Arguments

| Body Parameter                   | Type      | Required                     |
| -------------------------------- | --------- | ---------------------------- |
| **type**                         | `string`  | Required                     |
| attributes.**name**              | `string`  | Required                     |
| attributes.**description**       | `string`  | Optional                     |
| attributes.**image\_url**        | `string`  | Optional                     |
| attributes.**manual**            | `boolean` | Optional, default is 'true'  |
| attributes.**sku\_code\_regex**  | `string`  | Required, if manual is falsy |
| attributes.**reference**         | `string`  | Optional                     |
| attributes.**reference\_origin** | `string`  | Optional                     |
| attributes.**metadata**          | `object`  | Optional                     |
| relationships.**customer**       | `object`  | Optional                     |

### Example

{% tabs %}
{% tab title="Request" %}
The following request creates a new SKU list:

```shell
curl -g -X POST \
  'https://yourdomain.commercelayer.io/api/sku_lists' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "sku_lists",
    "attributes": {
      "name": "Personal list",
      "sku_code_regex": "^(A|B).*$"
    }
  }
}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `201 Created` status code, returning the created resource object:

```json
{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "sku_lists",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN"
    },
    "attributes": {
      "name": "Personal list",
      "slug": "personal-list-1",
      "description": "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.",
      "image_url": "https://img.yourdomain.com/skus/xYZkjABcde.png",
      "manual": false,
      "sku_code_regex": "^(A|B).*$",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "customer": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/customer",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/customer"
        }
      },
      "skus": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/skus",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/skus"
        }
      },
      "sku_list_items": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/sku_list_items",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/sku_list_items"
        }
      },
      "bundles": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/bundles",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/bundles"
        }
      },
      "attachments": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/attachments",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/attachments"
        }
      },
      "links": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/links",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/links"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/core-api-reference/sku_lists/create.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
